package com.goafanti.common.model;

import java.io.Serializable;
import java.util.Date;

/**
 * expense_account_log
 * @author 
 */
public class ExpenseAccountLog implements Serializable {
    /**
     * id
     */
    private Integer id;

    /**
     * 报销编号
     */
    private Integer eaid;

    /**
     * 流程状态 0=巴员发起，1=巴主发起或审核，2=总经理审核，3=财务审核，4=董事长审核
     */
    private Integer processStatus;

    /**
     * 状态 0发起 1通过 2完成 3驳回
     */
    private Integer status;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 审核人
     */
    private String auditor;

    /**
     * 创建时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getEaid() {
        return eaid;
    }

    public void setEaid(Integer eaid) {
        this.eaid = eaid;
    }

    public Integer getProcessStatus() {
        return processStatus;
    }

    public void setProcessStatus(Integer processStatus) {
        this.processStatus = processStatus;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getAuditor() {
        return auditor;
    }

    public void setAuditor(String auditor) {
        this.auditor = auditor;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}